#include<bits/stdc++.h>
using namespace std;
int n,arr[10000],br,cnt,lnch;
bool f;
int  main()
{
    cin>>n;
    for(int i=0; i<n; i++)cin>>arr[i];
    for(int i=0; i<n; i++)
    {
        if(arr[i]%2==0)
        {
            lnch=arr[i-1];
            break;
        }
    }
    for(int i=1; i<=lnch; i+=2)
    {
        for(int j=0; j<n; j++)
        {
            if(arr[j]==i)
            {
                f=1;
                break;
            }
        }
        if(f==0)br++;
        else
            f=0;
    }
    f=0;
    for(int i=2; i<=arr[n-1]; i+=2)
    {
        for(int j=0; j<n; j++)
        {
            if(arr[j]==i)
            {
                f=1;
                break;
            }
        }
        if(f==0)cnt++;
        else
            f=0;
    }
    cout<<br<<' '<<cnt<<endl;

    return 0;
}
